/**
 * Data model pour les armes
 */
export default class ArmeDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      prixpo: new fields.NumberField({ initial: 0, integer: true }),
      prixca: new fields.NumberField({ initial: 0, integer: true }),
      prixsc: new fields.NumberField({ initial: 0, integer: true }),
      rarete: new fields.NumberField({ initial: 0, integer: true }),
      quantite: new fields.NumberField({ initial: 1, integer: true }),
      equipped: new fields.BooleanField({ initial: false }),
      typearme: new fields.StringField({ initial: "" }),
      armenaturelle: new fields.BooleanField({ initial: false }),
      armefortune: new fields.BooleanField({ initial: false }),
      bonusmaniementoff: new fields.NumberField({ initial: 0, integer: true }),
      seuildefense: new fields.NumberField({ initial: 0, integer: true }),
      onlevelonly: new fields.BooleanField({ initial: false }),
      degats: new fields.StringField({ initial: "" }),
      deuxmains: new fields.BooleanField({ initial: false }),
      percearmure: new fields.BooleanField({ initial: false }),
      percearmurevalue: new fields.NumberField({ initial: 0, integer: true }),
      courte: new fields.NumberField({ initial: 0, integer: true }),
      moyenne: new fields.NumberField({ initial: 0, integer: true }),
      longue: new fields.NumberField({ initial: 0, integer: true }),
      tr: new fields.NumberField({ initial: 0, integer: true })
    };
  }
}
